    import styles from './styles.module.css';
    import Seat from './Seat';
    const BookingWrapper = ({onSeatClick}) => {
        const aisleIndex = 5;
        const seatData = [
            { id: 1, status: 'available' },
            { id: 2, status: 'reserved' },
            { id: 3, status: 'available' },
            { id: 4, status: 'reserved' },
            { id: 5, status: 'available' },
            { id: 6, status: 'selected' },
            { id: 7, status: 'available' },
            { id: 8, status: 'reserved' },
            { id: 9, status: 'available' },
            { id: 10, status: 'reserved' },
            { id: 11, status: 'available' }
        ];



        const isLeftBlock = (col) => col < aisleIndex;
        const isRightBlock = (col) => col > aisleIndex;

        // const onSeatClick = (id) => {
        //     console.log(id, "<<<<=============")
        // }
        
        return (
            <div>
                <div className={styles['theatre']}>
                    {Array.from({ length: 6 }, (_, row_index) => (
                        <div className={styles['seat-row']}>
                            {seatData.map((ele, column_index) => {
                                const isFirstRow = row_index === 0;
                                const isLastRow = row_index === 6 - 1;

                                if (isLeftBlock(column_index) && column_index === 0 && (isFirstRow || isLastRow)) {
                                    return <div key={`gap-left-${row_index}-${column_index}`} className={styles["seat-gap"]} />;
                                }

                                if (
                                    isRightBlock(column_index) &&
                                    column_index === seatData.length - 1 &&
                                    (isFirstRow || isLastRow)
                                ) {
                                    return <div key={`gap-right-${row_index}-${row_index}`} className={styles["seat-gap"]} />;
                                }

                                if (column_index == aisleIndex) {
                                    return (
                                        <div className={styles['aisle']}></div>
                                    )
                                }
                                return (
                                    // <div className={`${styles.seat} ${styles[ele.status]}`}></div>
                                    <Seat status={ele.status} onClick={()=>onSeatClick(ele.id)} />
                                )
                            })}
                        </div>
                    ))}
                </div>
            </div>
        )
    }

    export default BookingWrapper;

